summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Phillip Warner <pc_warner@yahoo.com>2010-10-24 21:59:08 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-10-25 07:55:09 -0500
commitb0d0bf5cbafa4c5bbce56f4ce02a4e498f822a6c (patch)
tree6c083b8cd94896aed1cdabdfc95bc6ac32cb74ed
parent3219049c0a3672fb7b11997eff1885ab62024dc5 (diff)
downloadslackbuilds-b0d0bf5cbafa4c5bbce56f4ce02a4e498f822a6c.tar.gz
slackbuilds-b0d0bf5cbafa4c5bbce56f4ce02a4e498f822a6c.tar.xz
audio/pianobar: Added (console Pandora client)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--audio/pianobar/README9
-rw-r--r--audio/pianobar/pianobar.SlackBuild74
-rw-r--r--audio/pianobar/pianobar.info10
-rw-r--r--audio/pianobar/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/audio/pianobar/README b/audio/pianobar/README
new file mode 100644
index 0000000000..49a895b1cd
--- /dev/null
+++ b/audio/pianobar/README
@@ -0,0 +1,9 @@
+pianobar is a console client for the personalized web radio pandora
+(http://www.pandora.com).
+
+- play and manage (create, add more music, delete, rename, ...) your stations
+- rate played songs and let pandora explain why they have been selected
+- show upcoming songs/song history
+- configure keybindings
+- last.fm scrobbling support (external application)
+- proxy support for listeners outside the USA
diff --git a/audio/pianobar/pianobar.SlackBuild b/audio/pianobar/pianobar.SlackBuild
new file mode 100644
index 0000000000..a45fd9b547
--- /dev/null
+++ b/audio/pianobar/pianobar.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for pianobar
+# Written by Phillip Warner <pc_warner@yahoo.com>
+
+PRGNAM=pianobar
+VERSION=${VERSION:-2010.10.07}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+force_arch="$ARCH" \
+make DISABLE_FAAD=1
+
+make install DESTDIR=$PKG PREFIX="/usr" MANDIR="/usr/man"
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/pianobar/pianobar.info b/audio/pianobar/pianobar.info
new file mode 100644
index 0000000000..7b70354cdc
--- /dev/null
+++ b/audio/pianobar/pianobar.info
@@ -0,0 +1,10 @@
+PRGNAM="pianobar"
+VERSION="2010.10.07"
+HOMEPAGE="http://6xq.net/html/00/17.html"
+DOWNLOAD="http://6xq.net/media/00/16/pianobar-2010.10.07.tar.bz2"
+MD5SUM="826c2dadeadd7e2ae341914273a5183d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Phillip Warner"
+EMAIL="pc_warner@yahoo.com"
+APPROVED="dsomero"
diff --git a/audio/pianobar/slack-desc b/audio/pianobar/slack-desc
new file mode 100644
index 0000000000..3d9f8a5c15
--- /dev/null
+++ b/audio/pianobar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+pianobar: pianobar (console Pandora client)
+pianobar:
+pianobar: pianobar is a console client for the personalized web radio pandora
+pianobar: (http://www.pandora.com).
+pianobar:
+pianobar: http://6xq.net/html/00/17.html
+pianobar:
+pianobar:
+pianobar:
+pianobar:
+pianobar: